%global srcname fast_xml

%global p1_utils_ver 1.0.15

Name: erlang-%{srcname}
Version: 1.1.36
Release: 1%{?dist}

License: ASL 2.0
Summary: Fast Expat based Erlang XML parsing and manipulation library
URL:     https://github.com/processone/fast_xml/
Source0: https://github.com/processone/fast_xml/archive/%{version}/%{srcname}-%{version}.tar.gz

Provides:  erlang-p1_xml = %{version}-%{release}
Obsoletes: erlang-p1_xml < 1.1.11

BuildRequires: gcc
BuildRequires: erlang-edoc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}
BuildRequires: expat-devel

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
Fast Expat based Erlang XML parsing and manipulation library, with a strong
focus on XML stream parsing from network. It supports full XML structure
parsing, suitable for small but complete XML chunks, and XML stream parsing
suitable for large XML document, or infinite network XML stream like XMPP.
This module can parse files much faster than built-in module xmerl. Depending
on file complexity and size xml_stream:parse_element/1 can be 8-18 times faster
than calling xmerl_scan:string/2.


%prep
%autosetup -n fast_xml-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=$RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md README.md
%{erlang_appdir}


%changelog
* Wed Jun 05 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.36-1
- Update to 1.1.36 (#1713300).
- https://github.com/processone/fast_xml/blob/1.1.36/CHANGELOG.md

* Tue Apr 16 2019 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.35-1
- Update to 1.1.35 (#1683115).
- https://github.com/processone/fast_xml/blob/1.1.35/CHANGELOG.md

* Thu Feb 21 2019 Peter Lemenkov <lemenkov@gmail.com> - 1.1.34-3
- Rebuild for Erlang 21

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.34-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.34-1
- Update to 1.1.34.
- https://github.com/processone/fast_xml/blob/1.1.34/CHANGELOG.md

* Tue Jul 31 2018 Florian Weimer <fweimer@redhat.com> - 1.1.32-2
- Rebuild with fixed binutils

* Sun Jul 29 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.32-1
- Update to 1.1.32 (#1596199).
- https://github.com/processone/fast_xml/blob/1.1.32/CHANGELOG.md

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.30-1
- Update to 1.1.30 (#1571779).
- https://github.com/processone/fast_xml/blob/1.1.30/CHANGELOG.md

* Tue Mar 27 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.29-1
- Update to 1.1.29 (#1559642).
- https://github.com/processone/fast_xml/blob/1.1.29/CHANGELOG.md

* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.28-4
- Re-rebuild against Erlang 20, this time with feeling (and correct dependency detection).
- Require an explicit version of p1_utils.

* Thu Feb 22 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.28-3
- Rebuilt for Erlang 20.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.1.28-1
- Update to 1.1.28 (#1515219).
- https://github.com/processone/fast_xml/blob/1.1.28/CHANGELOG.md
